## ros-one-mbf-utility 0.4.0-42jammy.20251023.0901

=== debian/changelog ===
ros-one-mbf-utility (0.4.0-42jammy.20251023.0901) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 23 Oct 2025 09:01:15 +0000

ros-one-mbf-utility (0.4.0-0jammy) jammy; urgency=high

  * return empty footprint if partly outside of the map, see #272

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 00:00:00 -0000

ros-one-mbf-utility (0.3.4-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 02 Dec 2020 00:00:00 -0000

ros-one-mbf-utility (0.3.3-0jammy) jammy; urgency=high

  * fix controller fails if robot pose gets older than tf_timeout
  * Make reference symbol position consistent across the project
  * Move RobotInformation to mbf_utility, as it can be used generally

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 05 Nov 2020 00:00:00 -0000

ros-one-mbf-utility (0.3.2-0jammy) jammy; urgency=high

  * Remove dependency on base_local_planner and move FootprintHelper class to mbf_costmap_nav and make it static

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 25 May 2020 00:00:00 -0000

ros-one-mbf-utility (0.3.1-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-mbf-utility (0.3.0-0jammy) jammy; urgency=high

  * Add exception classes for get_path, exe_path and recovery
  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 31 Mar 2020 00:00:00 -0000

ros-one-mbf-utility (0.2.5-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Fri, 11 Oct 2019 00:00:00 -0000

ros-one-mbf-utility (0.2.4-0jammy) jammy; urgency=high

  * Add check_point_cost service

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 16 Jun 2019 00:00:00 -0000

ros-one-mbf-utility (0.2.3-0jammy) jammy; urgency=high

  * Fix getRobotPose in melodic

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 14 Nov 2018 00:00:00 -0000

ros-one-mbf-utility (0.2.2-0jammy) jammy; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 10 Oct 2018 00:00:00 -0000

ros-one-mbf-utility (0.2.1-0jammy) jammy; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 03 Oct 2018 00:00:00 -0000

ros-one-mbf-utility (0.2.0-0jammy) jammy; urgency=high

  * Update copyright and 3-clause-BSD license

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-mbf-utility (0.1.0-0jammy) jammy; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 22 Mar 2018 00:00:00 -0000

## ros-one-mbf-utility 0.4.0-42jammy.20251207.2154

=== debian/changelog ===
ros-one-mbf-utility (0.4.0-42jammy.20251207.2154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 07 Dec 2025 21:54:51 +0000

## ros-one-mbf-utility 0.4.0-42jammy.20260221.0151

=== debian/changelog ===
ros-one-mbf-utility (0.4.0-42jammy.20260221.0151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 21 Feb 2026 01:51:48 +0000

## ros-one-mbf-utility 0.4.0-42noble.20251023.0911

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(mbf_utility)

find_package(catkin REQUIRED COMPONENTS
  geometry_msgs
  mbf_msgs
  roscpp
  tf
  tf2
  tf2_ros
  tf2_geometry_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES mbf_utility
  CATKIN_DEPENDS geometry_msgs mbf_msgs roscpp tf tf2 tf2_ros tf2_geometry_msgs
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
   src/navigation_utility.cpp
   src/robot_information.cpp
   src/odometry_helper.cpp
)

add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES})

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

=== debian/changelog ===
ros-one-mbf-utility (0.4.0-42noble.20251023.0911) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 23 Oct 2025 09:11:00 +0000

ros-one-mbf-utility (0.4.0-0noble) noble; urgency=high

  * return empty footprint if partly outside of the map, see #272

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 26 Oct 2021 00:00:00 -0000

ros-one-mbf-utility (0.3.4-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 02 Dec 2020 00:00:00 -0000

ros-one-mbf-utility (0.3.3-0noble) noble; urgency=high

  * fix controller fails if robot pose gets older than tf_timeout
  * Make reference symbol position consistent across the project
  * Move RobotInformation to mbf_utility, as it can be used generally

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 05 Nov 2020 00:00:00 -0000

ros-one-mbf-utility (0.3.2-0noble) noble; urgency=high

  * Remove dependency on base_local_planner and move FootprintHelper class to mbf_costmap_nav and make it static

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 25 May 2020 00:00:00 -0000

ros-one-mbf-utility (0.3.1-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Tue, 07 Apr 2020 00:00:00 -0000

ros-one-mbf-utility (0.3.0-0noble) noble; urgency=high

  * Add exception classes for get_path, exe_path and recovery
  * unify license declaration to BSD-3

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 31 Mar 2020 00:00:00 -0000

ros-one-mbf-utility (0.2.5-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Fri, 11 Oct 2019 00:00:00 -0000

ros-one-mbf-utility (0.2.4-0noble) noble; urgency=high

  * Add check_point_cost service

 -- Sebastian Pütz <spuetz@uos.de>  Sun, 16 Jun 2019 00:00:00 -0000

ros-one-mbf-utility (0.2.3-0noble) noble; urgency=high

  * Fix getRobotPose in melodic

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 14 Nov 2018 00:00:00 -0000

ros-one-mbf-utility (0.2.2-0noble) noble; urgency=high



 -- Sebastian Pütz <spuetz@uos.de>  Wed, 10 Oct 2018 00:00:00 -0000

ros-one-mbf-utility (0.2.1-0noble) noble; urgency=high

  * Make MBF melodic and indigo compatible
  * Fix GoalHandle references bug in callbacks

 -- Sebastian Pütz <spuetz@uos.de>  Wed, 03 Oct 2018 00:00:00 -0000

ros-one-mbf-utility (0.2.0-0noble) noble; urgency=high

  * Update copyright and 3-clause-BSD license

 -- Sebastian Pütz <spuetz@uos.de>  Tue, 11 Sep 2018 00:00:00 -0000

ros-one-mbf-utility (0.1.0-0noble) noble; urgency=high

  * First release of move_base_flex for kinetic and lunar

 -- Sebastian Pütz <spuetz@uos.de>  Thu, 22 Mar 2018 00:00:00 -0000

=== debian/control ===
Source: ros-one-mbf-utility
Section: misc
Priority: optional
Maintainer: Sebastian Pütz <spuetz@uos.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-geometry-msgs, ros-one-mbf-msgs, ros-one-roscpp, ros-one-tf, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Homepage: http://wiki.ros.org/move_base_flex/mbf_utility
Standards-Version: 3.9.2

Package: ros-one-mbf-utility
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-geometry-msgs, ros-one-mbf-msgs, ros-one-roscpp, ros-one-tf, ros-one-tf2, ros-one-tf2-geometry-msgs, ros-one-tf2-ros
Description: The mbf_utility package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-mbf-utility//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-mbf-utility 0.4.0-42noble.20251208.0853

=== debian/changelog ===
ros-one-mbf-utility (0.4.0-42noble.20251208.0853) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Mon, 08 Dec 2025 08:53:43 +0000

## ros-one-mbf-utility 0.4.0-42noble.20260221.2122

=== debian/changelog ===
ros-one-mbf-utility (0.4.0-42noble.20260221.2122) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Sebastian Pütz <spuetz@uos.de>  Sat, 21 Feb 2026 21:22:28 +0000
